Loading...
Searching...
No Matches
value.hpp File Reference

## Description

Provides bsoncxx::v_noabi::array::value.

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::array::value
| A read-only BSON array that owns its underlying buffer. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::array
| Declares entities representing a BSON array.

## Functions

v_noabi::array::value | bsoncxx::v_noabi::from_v1 (v1::array::value &&v)
| Convert from the bsoncxx::v1 equivalent of v.
v_noabi::array::value | bsoncxx::v_noabi::from_v1 (v1::array::value const &v)
| Convert from the bsoncxx::v1 equivalent of v.
v1::array::value | bsoncxx::v_noabi::to_v1 (v_noabi::array::value v)
| Convert to the bsoncxx::v1 equivalent of v.